import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Scanner;

public class Olymp {

    public static void main(String[] args) throws IOException {
        Scanner scan = new Scanner(new FileInputStream("mortar.in"));
        //Scanner scan = new Scanner(System.in);
        int n = scan.nextInt();
        int[] h = new int[n];
        
        for (int i = 0; i < n; i++) {
            h[i] = scan.nextInt();
        }
        
        print(res(n, h));
    }
    
    private static int res(int n, int[] h) {
        int shots = 0;
        int curH = 1;
        
        for (int i = 0; i < n - 1; i++) {
            int nextH = h[i + 1];
            //System.out.println(curH + " " + (curH + 1) + " " + nextH + " " + i + " " + shots);
            
            if ((curH + 1) <= nextH) {
                curH++;
            } else {
                curH = 1;
                i--;
                shots++;
            }
        }
            
        return shots + 1;
    }
    
    private static void print(int res) throws IOException {
        new FileOutputStream("mortar.out").write(Integer.toString(res).getBytes());
        //System.out.println(res);
    }
}
