#include<bits/stdc++.h>
#define ll long long

using namespace std;

const int N = 2e5+1, logN = 17+1;

const int P = 10;
int p[] = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29};

int n, k, g;
int a[N];
int b[10][N];

int fl[N];
int mintable[10][logN][N], maxtable[10][logN][N];

void init(){
    fl[1] = 0;
    for(int i = 2; i < N; ++i)
        fl[i] = fl[i/2]+1;
    for(int j = 0; j < P; ++j){
        for(int i = 0; i < n; ++i)
            mintable[j][0][i] = maxtable[j][0][i] = b[j][i];
        for(int level = 1; level < logN; ++level){
            for(int i = 0; i < n-(1<<level)+1; ++i){
                mintable[j][level][i] = min(mintable[j][level-1][i], mintable[j][level-1][i+(1<<(level-1))]);
                maxtable[j][level][i] = max(maxtable[j][level-1][i], maxtable[j][level-1][i+(1<<(level-1))]);
            }
        }
    }
}

int getmin(int j, int l, int r){ // [l, r)
    int level = fl[r-l];
    return min(mintable[j][level][l], mintable[j][level][r-(1<<level)]);
}

int getmax(int j, int l, int r){ // [l, r)
    int level = fl[r-l];
    return max(maxtable[j][level][l], maxtable[j][level][r-(1<<level)]);
}

bool check(int l, int r){ // [l, r)
    for(int j = 0; j < P; ++j){
        int mn = getmin(j, l, r),
            mx = getmax(j, l, r);
        if(mn*(1<<k) < mx)
            return false;
    }
    return true;
}

int binsearch(int l){
    int lo = l+1,
        hi = n+1;
    while(lo+1 < hi){
        int mid = (lo+hi)/2;
        if(check(l, mid))
            lo = mid;
        else hi = mid;
    }
    return lo-l;
}

int main(){
    freopen("multiply.in", "r", stdin);
    freopen("multiply.out", "w", stdout);
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);
    cin >> n >> k >> g;
    k = min(k, 5);
    for(int i = 0; i < n; ++i){
        cin >> a[i];
        for(int j = 0; j < P; ++j)
            while(a[i]%p[j] == 0){
                a[i] /= p[j];
                ++b[j][i];
            }
    }
    init();
    ll ans = 0;
    for(int i = 0; i < n; ++i)
        ans += binsearch(i);
    cout << ans << '\n';
}
